

function likelihood = MCLikelihoodParams( S, Z, params, numProds,T )
    %MC likleihood that is fed to fmincon.  transition probs and lambda in
    %params
   

    purchaseProbs=zeros(1,T);
    epsilon=0.001;
        
    for t=1:T
        
        
        
        purchase=find(Z(t,:));
        
        %Have to do slight perturbing to avoid numerical errors
        if sum(params(2:numProds,purchase+1))<0.000001
            
             purchaseProbs(t)=log(params(purchase,1));
            
        else
            
            for i=2:numProds
               
                if abs(params(i,2))< epsilon
                     
                    index=find(params(i,2:numProds+1)==max(params(i,2:numProds+1)));
                   
                    params(i,index+1)=params(i,index+1)-epsilon;
                   
                    params(i,2)=params(i,2)+epsilon;
                    
                end
                
            end
            
            A=-(transpose(repmat(1-S(t,:),numProds,1).*params(:,2:numProds+1))) + eye(numProds);
            b=(1-S(t,:)).*reshape(params(:,1),[1,numProds]);
            beta= A\reshape(b,[numProds,1]);
            purchaseProbs(t)=log(params(purchase,1) + sum(params(:,purchase+1).*beta));

        end
        
            
    end
    
    likelihood=-sum(purchaseProbs);


end




