function [MNLError, MCError, MCMLEError] = TrueSquaredError(params,paramsMLE,prefWeights,customerTypes, offerMatrix,countDiffAssorts,numProds, numTypes )
%Function that commutes the squared error of of true probability vs.
%predicted probability for every product in every assortment

    MNLError=0;
    MCError=0;
    MCMLEError=0;
    for s=1:countDiffAssorts
        S=offerMatrix(s,:);
        for j=1:numProds
           if S(j)==1
               trueProb =  NPPurchaseProbs( j,S,numTypes,customerTypes, numProds );
               MNLProb = MNLPurchaseProbs( j,S,prefWeights );
               MCProb = MCPurchaseProbs( j,S,params, numProds );
               MCMLEProb = MCPurchaseProbs( j,S,paramsMLE, numProds );

               MNLError=MNLError + (trueProb-MNLProb)^2; 
               MCError=MCError + (trueProb-MCProb)^2; 
               MCMLEError=MCMLEError + (trueProb-MCMLEProb)^2; 
           end
            
        end
              
    end


end



